Create a new Push to Algolia connector
- Go to the Algolia dashboard and select your Algolia .
- On the left sidebar, select Data sources.
- On the Connectors page, select Push to Algolia, then click Connect.
- Configure your transformation: create a new one or reuse an existing one.
- Configure your destination: create a new one or reuse an existing one.
- Create the task to generate a
taskID.
Usage
Update your API client implementation to use either theWithTransformation helper methods of the Search API client
or the pushTask method of the Ingestion API client.
Search API client WithTransformation helper methods
These helper methods of the Search API replace the standard API clients methods
(saveObjects, partialUpdateObjects, replaceAllObjects)
but use the push method of the Ingestion API.
They’re subject to the connector limits.
Use the helper methods if:
- You only have one destination linked to the you’re targeting.
- You already have an existing implementation using an API client.
- You only have one Push to Algolia connector.
WithTransformation helper methods
if you’re using collections and created an additional Push to Algolia connector.
-
Supported:
- 1 Push to Algolia connector or Collections
-
Not supported:
- 1 Push to Algolia connector and collections
- Multiple Push to Algolia connectors
pushTask method instead.
Save records with transformation
ReplacesaveObjects with saveObjectsWithTransformation.
Add or update attributes of multiple records with transformation
ReplacepartialUpdateObjects with partialUpdateObjectsWithTransformation.
Replace all records with transformation
ReplacereplaceAllObjects with replaceAllObjectsWithTransformation.
Ingestion API pushTask method
Use the pushTask method of the Ingestion API client if
- You have multiple destinations linked to the index you’re targeting.
- You have multiple Push to Algolia connectors, or a Push to Algolia connector and Collections.
Performance considerations
If you don’t need an Algolia-managed transformation, send records in batches using the regular API client methods to avoid processing overhead.Supported indexing actions
The Push to Algolia connector supports allaction types for batch indexing operations.
For deleteObject, delete, and clear actions,
it skips the transformation and uses traditional indexing instead.
Connector Debugger
To check and debugpushTask operations:
- Check incoming events in the Connector Debugger on the Algolia dashboard.
The
eventIDreturned by a successfulpushTaskAPI call shows the status of the indexing operation. - To get real-time feedback, add the
watchparameter to thepushTaskAPI call. The response body reports errors and successes.